## class DrawingArea : public MWidget

> wrapper class around the Motif drawing area widget.

## Inheritance:

### Public Methods

  | DrawingArea (Config *config, Widget parent, const char *name, DrawWindow *w) Description determines the size, if empty the screen sz is used.
  const char* | GetClassName ()
  void | SetViewer (Viewer *v)
  XGrafport* | GetGrafport () const
  int | GetWidth () const
  int | GetHeight () const
  void | UpdateSize (int w, int h)
  void | FitDocument () resize drawing area to fit the viewer's contents.
  void | FitDocument (int wd, int ht) resize drawing area to given size.
  void | EnableUndo (bool flag) enable/disable edit popup menu entry.
  void | EnableRedo (bool flag) enable/disable edit popup menu entry.
  void | Enable (const char *label, bool flag) enable/disable popup menu entry.
  void | SetUndoName (const char *name) change edit popup menu undo entry name.
  void | SetRedoName (const char *name) change edit popup menu redo entry name.
  Pixel | GetBackgroundColor ()
  Pixel | GetForegroundColor ()

### Inherited from MWidget:

### Public Methods

virtual void Manage()
bool IsRealized()
void SetColormap(Colormap cmap)
void SetDestroyCallback(XtCallbackProc fun, XtPointer clientData)
void AddLiteClue(Widget w, const char *text)

### Protected Methods

Widget GetLiteClue()
void CreateLiteClue()
void InstallDestroyHandler()

### Inherited from Component:

### Public Methods

bool IsManaged()
virtual void Unmanage()
Widget GetWidget()
Display* GetDisplay()
Window GetWindow()

### Protected Methods

void SetWidget(Widget w)
const string* GetName() const
void SetName(const string *s)
void SetName(const char *s)

## Documentation

> wrapper class around the Motif drawing area widget.

`DrawingArea(Config *config, Widget parent, const char *name, DrawWindow *w)`
  Description determines the size, if empty the screen sz is used.

`const char* GetClassName()`

`void SetViewer(Viewer *v)`

`XGrafport* GetGrafport() const`

`int GetWidth() const`

`int GetHeight() const`

`void UpdateSize(int w, int h)`

`void FitDocument()`
  resize drawing area to fit the viewer's contents.

`void FitDocument(int wd, int ht)`
  resize drawing area to given size.

`void EnableUndo(bool flag)`
  enable/disable edit popup menu entry.

`void EnableRedo(bool flag)`
  enable/disable edit popup menu entry.

`void Enable(const char *label, bool flag)`
  enable/disable popup menu entry.

`void SetUndoName(const char *name)`
  change edit popup menu undo entry name.

`void SetRedoName(const char *name)`
  change edit popup menu redo entry name.

`Pixel GetBackgroundColor()`

`Pixel GetForegroundColor()`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de